APIAdministration
Replace an access role
PUT
bearerAuth roles.manageheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: roles.manage
id*stringapplication/json- body
name*stringLength
length <= 50description?|Length
length <= 200permissions*array<string>Role updated.
application/json- response
data*curl -X PUT 'https://your-instance.example/api/v1/roles/string' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "permissions": [ "string" ]}'Example Response
{ "data": {}}